%define major     6
%define libxmu    %mklibname xmu %{major}
%define devxmu    %mklibname xmu -d

%define xmuumajor 1
%define libxmuu   %mklibname xmuu %{xmuumajor}

Name:           libxmu
Summary:        Xmu Library
Version:        1.2.1
Release:        %mkrel 1
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libXmu-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xext) >= 1.0.0
BuildRequires:  pkgconfig(xt) >= 1.0.0
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.3.0

%description
Xmu Library.

#-----------------------------------------------------------

%package -n %{libxmu}
Summary:        Xmu Library
Group:          Development/X11
Provides:       %{name} = %{version}

%description -n %{libxmu}
Xmu Library.

%files -n %{libxmu}
%{_libdir}/libXmu.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{libxmuu}
Summary:        Xmuu Library
Group:          Development/X11
Provides:       %{name}u = %{version}

%description -n %{libxmuu}
Xmuu Library.

%files -n %{libxmuu}
%{_libdir}/libXmuu.so.%{xmuumajor}{,.*}

#-----------------------------------------------------------

%package -n %{devxmu}
Summary:        Development files for %{name} and %{name}u
Group:          Development/X11
Requires:       %{libxmu} = %{version}-%{release}
Requires:       %{libxmuu} = %{version}-%{release}
Provides:       libxmu-devel = %{version}-%{release}
Provides:       libxmuu-devel = %{version}-%{release}

%description -n %{devxmu}
Development files for %{name} and %{name}u.

%files -n %{devxmu}
%{_libdir}/libXmuu.so
%{_libdir}/libXmu.so
%{_libdir}/pkgconfig/xmuu.pc
%{_libdir}/pkgconfig/xmu.pc
%{_includedir}/X11/Xmu/CloseHook.h
%{_includedir}/X11/Xmu/Xct.h
%{_includedir}/X11/Xmu/Xmu.h
%{_includedir}/X11/Xmu/WidgetNode.h
%{_includedir}/X11/Xmu/Atoms.h
%{_includedir}/X11/Xmu/Misc.h
%{_includedir}/X11/Xmu/Converters.h
%{_includedir}/X11/Xmu/StdCmap.h
%{_includedir}/X11/Xmu/ExtAgent.h
%{_includedir}/X11/Xmu/StdSel.h
%{_includedir}/X11/Xmu/WinUtil.h
%{_includedir}/X11/Xmu/DisplayQue.h
%{_includedir}/X11/Xmu/Initer.h
%{_includedir}/X11/Xmu/Lookup.h
%{_includedir}/X11/Xmu/SysUtil.h
%{_includedir}/X11/Xmu/Drawing.h
%{_includedir}/X11/Xmu/Error.h
%{_includedir}/X11/Xmu/EditresP.h
%{_includedir}/X11/Xmu/CvtCache.h
%{_includedir}/X11/Xmu/Editres.h
%{_includedir}/X11/Xmu/CurUtil.h
%{_includedir}/X11/Xmu/CharSet.h
%{_includedir}/X11/Xmu/WhitePoint.h
%{_datadir}/doc/libXmu

#-----------------------------------------------------------

%prep
%setup -q -n libXmu-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Wed Jul 03 2024 daviddavid <daviddavid> 1.2.1-1.mga10
+ Revision: 2079298
- new version: 1.2.1

* Wed Nov 02 2022 luigiwalser <luigiwalser> 1.1.4-1.mga9
+ Revision: 1901748
- 1.1.4

* Wed Mar 30 2022 umeabot <umeabot> 1.1.3-3.mga9
+ Revision: 1834623
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.1.3-2.mga8
+ Revision: 1523965
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Mar 17 2019 tv <tv> 1.1.3-1.mga7
+ Revision: 1378332
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.1.2-6.mga7
+ Revision: 1299262
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.1.2-5.mga6
+ Revision: 945721
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 741442
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 681891
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-2.mga4
+ Revision: 534467
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 1.1.2-1.mga4
+ Revision: 477911
- new release

* Thu Aug 22 2013 wally <wally> 1.1.1-4.mga4
+ Revision: 469481
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- split out Xmuu libs
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.1.1-3.mga3
+ Revision: 397164
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 358623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.1.1-1.mga2
+ Revision: 222226
- new release

* Tue Nov 29 2011 colin <colin> 1.1.0-3.mga2
+ Revision: 174150
- Strip .la files

* Sat Jan 08 2011 blino <blino> 1.1.0-2.mga1
+ Revision: 1104
- remove old ldconfig scriptlets
- imported package libxmu


* Sat Oct 30 2010 Funda Wang <fwang@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 590466
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.5-2mdv2010.1
+ Revision: 464041
- Fix BuildRequires

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.4-5mdv2010.0
+ Revision: 425930
- rebuild

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-4mdv2009.0
+ Revision: 229748
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Feb 13 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.4-2mdv2008.1
+ Revision: 166863
- Revert build requires and upstream tarball

* Wed Jan 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.4-1mdv2008.1
+ Revision: 153708
- Update to version 1.0.4.
  Also changed to use mandriva git mirror to generate tarball with
  "git-archive --format=tar" command.
  This is exactly upstream version as there are no Mandriva specific patches.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-2mdv2008.1
+ Revision: 151892
- Update BuildRequires and rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 85955
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

